<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:22 PST 2005 -->
<TITLE>
: P-Index
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-12.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-14.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-13.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">N</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">Q</A> <A HREF="index-15.html">R</A> <A HREF="index-16.html">S</A> <A HREF="index-17.html">T</A> <A HREF="index-18.html">U</A> <A HREF="index-19.html">V</A> <HR>
<A NAME="_P_"><!-- --></A><H2>
<B>P</B></H2>
<DL>
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PARAMETER_STYLE"><B>PARAMETER_STYLE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html"><CODE><em>Parameter Style</em></CODE></A>' enum.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html"><B>ParameterStyle</B></A> - class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A>.<DD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Parameter Style</b></em>',
 and utility methods for working with them.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PARENT_DELETE_DRI_RULE_TYPE"><B>PARENT_DELETE_DRI_RULE_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><CODE><em>Parent Delete DRI Rule Type</em></CODE></A>' enum.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PARENT_UPDATE_DRI_RULE_TYPE"><B>PARENT_UPDATE_DRI_RULE_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><CODE><em>Parent Update DRI Rule Type</em></CODE></A>' enum.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><B>ParentDeleteDRIRuleType</B></A> - class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html">ParentDeleteDRIRuleType</A>.<DD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Parent Delete DRI Rule Type</b></em>',
 and utility methods for working with them.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><B>ParentUpdateDRIRuleType</B></A> - class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html">ParentUpdateDRIRuleType</A>.<DD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Parent Update DRI Rule Type</b></em>',
 and utility methods for working with them.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html#PERCENT_FREE"><B>PERCENT_FREE</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html">PercentFreeTerminology</A>
<DD>The '<em><b>PERCENT FREE</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html#PERCENT_FREE_LITERAL"><B>PERCENT_FREE_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html">PercentFreeTerminology</A>
<DD>The '<em><b>PERCENT FREE</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PERCENT_FREE_TERMINOLOGY"><B>PERCENT_FREE_TERMINOLOGY</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html"><CODE><em>Percent Free Terminology</em></CODE></A>' enum.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html"><B>PercentFreeTerminology</B></A> - class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PercentFreeTerminology.html">PercentFreeTerminology</A>.<DD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Percent Free Terminology</b></em>',
 and utility methods for working with them.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceType.html#PERMANENT"><B>PERMANENT</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceType.html">TableSpaceType</A>
<DD>The '<em><b>PERMANENT</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceType.html#PERMANENT_LITERAL"><B>PERMANENT_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceType.html">TableSpaceType</A>
<DD>The '<em><b>PERMANENT</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#PLI"><B>PLI</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A>
<DD>The '<em><b>PLI</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html#PLI_LITERAL"><B>PLI_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html">LanguageType</A>
<DD>The '<em><b>PLI</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION"><B>PREDEFINED_DATA_TYPE_DEFINITION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/PredefinedDataTypeDefinitionImpl.html"><CODE><em>Predefined Data Type Definition</em></CODE></A>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Bit Data Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET"><B>PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Character Set</b></em>' attribute list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX"><B>PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Character Set Suffix</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Clustering Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH"><B>PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Default Length</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Default Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES"><B>PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Default Value Types</b></em>' attribute list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME"><B>PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Encoding Scheme</b></em>' attribute list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX"><B>PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Encoding Scheme Suffix</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Fill Factor Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__FORMATTER_CLASS_NAME"><B>PREDEFINED_DATA_TYPE_DEFINITION__FORMATTER_CLASS_NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Formatter Class Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Identity Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME"><B>PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Java Class Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE"><B>PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Jdbc Enum Type</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Key Constraint Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Length Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH"><B>PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Maximum Length</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION"><B>PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Maximum Precision</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE"><B>PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Maximum Scale</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE"><B>PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Maximum Value</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE"><B>PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Minimum Scale</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE"><B>PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Minimum Value</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Multiple Columns Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__NAME"><B>PREDEFINED_DATA_TYPE_DEFINITION__NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Name</b></em>' attribute list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Nullable Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Precision Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE"><B>PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Primitive Type</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED"><B>PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The feature id for the '<em><b>Scale Supported</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PREDEFINED_DATA_TYPE_DEFINITION_FEATURE_COUNT"><B>PREDEFINED_DATA_TYPE_DEFINITION_FEATURE_COUNT</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The number of structural features of the the '<em>Predefined Data Type Definition</em>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html"><B>PredefinedDataTypeDefinition</B></A> - interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A>.<DD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Predefined Data Type Definition</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/PredefinedDataTypeDefinitionImpl.html"><B>PredefinedDataTypeDefinitionImpl</B></A> - class org.eclipse.wst.rdb.internal.models.dbdefinition.impl.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/PredefinedDataTypeDefinitionImpl.html">PredefinedDataTypeDefinitionImpl</A>.<DD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Predefined Data Type Definition</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html#PROCEDURE"><B>PROCEDURE</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html">ProcedureType</A>
<DD>The '<em><b>PROCEDURE</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html#PROCEDURE_LITERAL"><B>PROCEDURE_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html">ProcedureType</A>
<DD>The '<em><b>PROCEDURE</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#PROCEDURE_TYPE"><B>PROCEDURE_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html"><CODE><em>Procedure Type</em></CODE></A>' enum.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html"><B>ProcedureType</B></A> - class org.eclipse.wst.rdb.internal.models.dbdefinition.<A HREF="../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html">ProcedureType</A>.<DD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Procedure Type</b></em>',
 and utility methods for working with them.</DL>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-12.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-14.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-13.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">N</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">Q</A> <A HREF="index-15.html">R</A> <A HREF="index-16.html">S</A> <A HREF="index-17.html">T</A> <A HREF="index-18.html">U</A> <A HREF="index-19.html">V</A> <HR>

</BODY>
</HTML>
